Fetch All Accounts
curl --request GET \
--url https://api.atoa.me/api/bank/{accountAuthId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atoa.me/api/bank/{accountAuthId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atoa.me/api/bank/{accountAuthId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accountId": "7d4c6e07-78e6-4ad4-8b08-7ac183a5e750",
"bankName": "mock-sandbox-v1",
"accountNumber": "50978130",
"sortCode": "726908"
}
]
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
{
"name": "NOT FOUND",
"message": "Consent not found",
"status": 404,
"errors": "[]"
}
Bank Feed
Fetch All Accounts
Retrieve all accounts via the Atoa Bank Feed API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
bank
/
{accountAuthId}
/
accounts
Fetch All Accounts
Use this to fetch basic information about all linked bank accounts for a user.
Response
Returns an array of bank account objects, each containing:
Authorization
Bearer<token>
Request Body Schema
string
required
ID of the authorization/consent used to access the user’s bank accounts. This
can be obtained from the redirect URL after account linking
string
The ID of the user’s bank account.
string
The name of the bank associated with the account. Useful for display purposes
or internal logging.
string
The bank account number for which the user has provided consent.
string
The sort code linked to the bank account.
[
{
"accountId": "7d4c6e07-78e6-4ad4-8b08-7ac183a5e750",
"bankName": "mock-sandbox-v1",
"accountNumber": "50978130",
"sortCode": "726908"
}
]
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
{
"name": "NOT FOUND",
"message": "Consent not found",
"status": 404,
"errors": "[]"
}